> For the complete documentation index, see [llms.txt](https://docs.kiloiot.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiloiot.io/kilo-docs-es/kilo-iot-server/api/grpc-api.md).

# API gRPC

API gRPC de Kilo IoT Server — ruta tipada de servicio a servicio para instalaciones locales, con la misma autenticación de clave API con ámbito.

Además de REST, Kilo IoT Server ofrece una interfaz gRPC. **gRPC es la vía avanzada / local: elige REST a menos que necesites específicamente gRPC para una integración local o tipada de servicio a servicio.** Para integraciones estándar en la nube y SaaS, REST es la opción predeterminada recomendada (véase [API REST pública](/kilo-docs-es/kilo-iot-server/api/public-rest-api.md)).

## Cuándo usar gRPC

* Un cliente tipado y generado y un contrato de servicio estable en tu propio software.
* Integración directa de servicio a servicio, incluidas instalaciones locales que conectan sistemas internos dentro de su propia red.

## Cómo funciona

gRPC utiliza la misma autenticación con clave API con ámbito que REST — `X-API-Key` además del contexto de la organización (véase [Autenticación y claves de API](/kilo-docs-es/kilo-iot-server/api/authentication-and-api-keys.md)). El [referencia de la API](https://api.kiloiot.io/) enumera los servicios y métodos gRPC disponibles. Para definiciones nativas de cliente gRPC, utiliza los materiales proporcionados con tu paquete local o de integración.

## Ver también

* [API REST pública](/kilo-docs-es/kilo-iot-server/api/public-rest-api.md)
* [Autenticación y claves de API](/kilo-docs-es/kilo-iot-server/api/authentication-and-api-keys.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kiloiot.io/kilo-docs-es/kilo-iot-server/api/grpc-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
